<?php
/**
 * Industri functions and definitions
 *
 * Industri only works in WordPress 5.6 or later.
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package industri WordPress Theme
 */

define( 'INDUSTRI_THEME_VERSION', esc_html( wp_get_theme()->get( 'Version' ) ) );
define( 'INDUSTRI_THEME_DIR', trailingslashit( get_template_directory() ) );
define( 'INDUSTRI_THEME_URL', trailingslashit( esc_url( get_template_directory_uri() ) ) );

// TGM plugin additions.
require( INDUSTRI_THEME_DIR . '/inc/tgm/tgm.php' );

// theme setup
require_once( INDUSTRI_THEME_DIR . 'inc/theme-setup.php' );

// register-sidebar
require_once( INDUSTRI_THEME_DIR . 'inc/register-sidebar.php' );

// enqueue style
require_once( INDUSTRI_THEME_DIR . 'inc/enqueue.php' );

// Enhance the theme by hooking into WordPress.
require_once( INDUSTRI_THEME_DIR . '/inc/template-functions.php' );

// Custom template tags for the theme.
require_once( INDUSTRI_THEME_DIR . '/inc/template-tags.php' );

// navbar
require_once( INDUSTRI_THEME_DIR . 'inc/wp-bootstrap-navwalker.php' );

// customizer 
require_once( INDUSTRI_THEME_DIR . '/inc/customizer/customizer.php' );

// pro section
require_once( INDUSTRI_THEME_DIR . '/inc/customizer/customizer-pro/customizer-pro-section.php' );

//template parts
get_template_part( 'template-parts/sections/section-header' );
get_template_part( 'template-parts/sections/section-blog' );