<?php
// customizer live preview
add_action( 'customize_preview_init','industri_customizer_live_preview' );
function industri_customizer_live_preview( $wp_customize ){
	wp_enqueue_script( 'industri-customizer-preview', get_template_directory_uri() . '/inc/customizer/assets/customizer-preview.js', array( 'jquery','customize-preview' ), INDUSTRI_THEME_VERSION, true );
}

// customizer helpers & controls
add_action( 'customize_register', 'industri_customize_helper' );
function industri_customize_helper( $wp_customize ) {
	require_once get_template_directory() . '/inc/customizer/sanitize-helpers.php';
}

// customizer register
add_action('customize_register', 'industri_customize_register');
function industri_customize_register( $wp_customize ){
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';
	$wp_customize->get_setting( 'background_color' )->transport = 'postMessage';
	$wp_customize->get_setting('custom_logo')->transport = 'refresh';
}


// customizer selective refresh
add_action('customize_register', 'industri_customize_selective_refresh');
function industri_customize_selective_refresh( $wp_customize ) {			

	// blogname.
	$wp_customize->selective_refresh->add_partial(
		'blogname',
		array(
			'selector'        => '.site-title',
			'render_callback' => 'partial_blogname',
		)
	);

	// blogdescription.
	$wp_customize->selective_refresh->add_partial(
		'blogdescription',
		array(
			'selector'        => '.site-description',
			'render_callback' => 'partial_blogdescription',
		)
	);

	// menu
	$wp_customize->selective_refresh->add_partial( 'nav_menu_locations[primary]', array(
		'selector' => 'ul.navbar-nav',
		'render_callback' => function(){ return 'nav_menu_locations[primary]'; },
	) );

}


// customizer settings
add_action( 'after_setup_theme', 'industri_customizer_settings'  );
function industri_customizer_settings( $wp_customize ){

	// theme option
	get_template_part('/inc/customizer/customizer-sections/customizer-theme-options');

	// footer
	get_template_part('/inc/customizer/customizer-sections/customizer-footer');

}